package cmd

import (
	"fmt"
	"os"
	"train/pkg/installer"
	"github.com/spf13/cobra"
)

var installCmd = &cobra.Command{
	Use:   "install [package]",
	Short: "Устанавливает указанный пакет",
	Args:  cobra.MinimumNArgs(1),
	Run: func(cmd *cobra.Command, args []string) {
		pkgName := args[0]
		fmt.Printf("Установка пакета: %s\n", pkgName)
		if err := installer.InstallPackage(pkgName); err != nil {
			fmt.Printf("Ошибка установки: %v\n", err)
			os.Exit(1)
		}
		fmt.Printf("Пакет %s успешно установлен.\n", pkgName)
	},
}