package cmd

import (
	"fmt"
	"train/pkg/installer"
	"github.com/spf13/cobra"
)

var listCmd = &cobra.Command{
	Use:   "list",
	Short: "Список установленных пакетов",
	Run: func(cmd *cobra.Command, args []string) {
		pkgs, err := installer.ListInstalledPackages()
		if err != nil {
			fmt.Printf("Ошибка получения списка: %v\n", err)
			return
		}
		fmt.Println("Установленные пакеты:")
		for _, p := range pkgs {
			fmt.Println(" -", p)
		}
	},
}