package cmd

import (
	"fmt"
	"os"
	"train/pkg/installer"
	"github.com/spf13/cobra"
)

var removeCmd = &cobra.Command{
	Use:   "remove [package]",
	Short: "Удаляет указанный пакет",
	Args:  cobra.MinimumNArgs(1),
	Run: func(cmd *cobra.Command, args []string) {
		pkgName := args[0]
		fmt.Printf("Удаление пакета: %s\n", pkgName)
		if err := installer.RemovePackage(pkgName); err != nil {
			fmt.Printf("Ошибка удаления: %v\n", err)
			os.Exit(1)
		}
		fmt.Printf("Пакет %s успешно удалён.\n", pkgName)
	},
}