package cmd

import (
	"fmt"
	"os"
	"train/pkg/installer"
	"github.com/spf13/cobra"
)

var updateCmd = &cobra.Command{
	Use:   "update [package]",
	Short: "Обновляет указанный пакет (удаление + установка)",
	Args:  cobra.ExactArgs(1),
	Run: func(cmd *cobra.Command, args []string) {
		pkgName := args[0]
		fmt.Printf("Обновление пакета: %s\n", pkgName)
		if err := installer.UpdatePackage(pkgName); err != nil {
			fmt.Printf("Ошибка обновления: %v\n", err)
			os.Exit(1)
		}
		fmt.Printf("Пакет %s успешно обновлён.\n", pkgName)
	},
}